package de.avatic.lcc.model.db.users;

import jakarta.validation.constraints.NotNull;

import java.util.List;

public class User {

    private Integer id;

    private String firstName;
    private String lastName;

    private String email;

    @NotNull
    private String workdayId;

    private Boolean isActive;

    private List<@NotNull Group> groups;

    public List<Group> getGroups() {
        return groups;
    }

    public void setGroups(List<Group> groups) {
        this.groups = groups;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getWorkdayId() {
        return workdayId;
    }

    public void setWorkdayId(String workdayId) {
        this.workdayId = workdayId;
    }

    public Boolean getActive() {
        return isActive;
    }

    public void setActive(Boolean active) {
        isActive = active;
    }
}
